Résolu Erreur plugin faction

Redkaf

Bucheron
17 Mars 2020
16
0
11
24
Quand je lance mon serveur en 1.12.2 avec massivecord, massivehat, massiveticket, faction , vampire, massivebook et Creative Gates, aucun des plugins en fonctionne et quand je vais dans les logs, je trouve :
Error occurred while enabling Factions v2.14.0 (Is it up to date?)
Merci d'avance
 

Elikill

Développeur Java trop occupé
23 Février 2014
1 387
204
187
23
eliapp.fr
Salut,

Est-ce que le serveur fonctionne, sans les plugins ?
Possible d'avoir des logs complet, et non pas une seul ligne qui ne donne que très peu d'info ? (fichier "logs/latest.log")
Les plugins sont bien à jour ? (Le spigot aussi ?)
 

Redkaf

Bucheron
17 Mars 2020
16
0
11
24
Le serveur fonctionne sans les plugins mais c'est comme si il ignorait tout les plugins de massivecord
 

Fichiers joints

  • latest.log
    1.1 Mo · Affichages: 179

Elikill

Développeur Java trop occupé
23 Février 2014
1 387
204
187
23
eliapp.fr
Bonjour,

Effectivement. Il y a plusieurs erreurs.

1) Il y a un problème dans la configuration des craft :

Code:
[20:02:10] [Server thread/ERROR] [FML]: Parsing error loading recipe bibliocraft:markerpole
com.google.gson.JsonSyntaxException: Invalid pattern: empty pattern not allowed
    at net.minecraftforge.common.crafting.CraftingHelper.lambda$init$14(CraftingHelper.java:488) ~[CraftingHelper.class:git-CatServer-1.12.2-f218cf9]
    at net.minecraftforge.common.crafting.CraftingHelper.getRecipe(CraftingHelper.java:416) ~[CraftingHelper.class:git-CatServer-1.12.2-f218cf9]
    at net.minecraftforge.common.crafting.CraftingHelper.lambda$loadRecipes$22(CraftingHelper.java:723) ~[CraftingHelper.class:git-CatServer-1.12.2-f218cf9]
    at net.minecraftforge.common.crafting.CraftingHelper.findFiles(CraftingHelper.java:833) ~[CraftingHelper.class:git-CatServer-1.12.2-f218cf9]
    at net.minecraftforge.common.crafting.CraftingHelper.loadRecipes(CraftingHelper.java:688) ~[CraftingHelper.class:git-CatServer-1.12.2-f218cf9]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_241]

Ceci signifie qu'il ne comprends pas ce qui est dans la configuration.

Personnellement, je te suggère de remplacer:
Code:
bibliocraft:markerpole
Par:
Code:
bibliocraft: "markerpole"

(même chose pour "bibliocraft:clipboard")


2)

Code:
[20:02:24] [Server thread/ERROR] [org.bukkit.craftbukkit.v1_12_R1.CraftServer]: com/sk89q/worldguard/WorldGuard initializing ChestShop v3.10.1 (build 174) (Is it up to date?)
java.lang. NoClassDefFoundError : com/sk89q/worldguard/WorldGuard
    at com.Acrobot.ChestShop.Plugins.WorldGuardFlags.init(WorldGuardFlags.java:16)
    at com.Acrobot.ChestShop.Dependencies.initializePlugins(Dependencies.java:26)
    at com.Acrobot.ChestShop.ChestShop.on Load(ChestShop.java:101)
Caused by: java.lang.ClassNotFoundException: com.sk89q.worldguard.WorldGuard
    at com.Acrobot.ChestShop.Dependencies.initializePlugin(Dependencies.java:43)
    ... 9 more

Ceci veut dire que "com.sk89q.worldguard.WorldGuard" est introuvable, donc il te manque WorldGuard comme plugin (pour l'utilisation de "ChestShop" apparemment)



3) Mauvaise configuration de "DiscordMC": apparemment ce se sont pas les bon identifiants ou le compte n'est pas autorisé à faire ceci.

Code:
sx.blah.discord.util.DiscordException: Error on request to https://discordapp.com/api/v6/users/@me. Received response code 401. With response text: {"message": "401: Unauthorized", "code": 0}



4) Je te suggère de contacter le dev car "TeleportEssentials" n'arrive pas à créer une config :

Code:
[20:02:55] [Server thread/ERROR] [Minecraft]: Error occurred while enabling TeleportEssentials v1.0 (Is it up to date?)
java.lang.IllegalArgumentException: The embedded resource 'config.yml' cannot be found in plugins/TeleportEssentials_1.0.jar
    at org.bukkit.plugin.java.JavaPlugin.saveResource(JavaPlugin.java:195) ~[JavaPlugin.class:git-CatServer-1.12.2-f218cf9]
    at org.bukkit.plugin.java.JavaPlugin.saveDefaultConfig(JavaPlugin.java:182) ~[JavaPlugin.class:git-CatServer-1.12.2-f218cf9]
    at net.sphio.teleportessentials.Main.onEnable(Main.java:30) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:264) ~[JavaPlugin.class:git-CatServer-1.12.2-f218cf9]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_241]



5) Dans "CustomCrates", apparemment tu as mis un caractère spécial qui n'est pas autorisé :

Code:
[20:02:55] [Server thread/ERROR] [Minecraft]: Cannot load plugins/CustomCrates/crates/.DS_Store
org.bukkit.configuration.InvalidConfigurationException: unacceptable code point '' special characters are not allowed
in "'string'", position 0
    at org.bukkit.configuration.file.YamlConfiguration.loadFromString(YamlConfiguration.java:55) ~[YamlConfiguration.class:git-CatServer-1.12.2-f218cf9]
    at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:162) ~[FileConfiguration.class:git-CatServer-1.12.2-f218cf9]
    at org.bukkit.configuration.file.FileConfiguration.load(FileConfiguration.java:130) ~[FileConfiguration.class:git-CatServer-1.12.2-f218cf9]
    at org.bukkit.configuration.file.YamlConfiguration.loadConfiguration(YamlConfiguration.java:178) [YamlConfiguration.class:git-CatServer-1.12.2-f218cf9]
    at xyz.ufactions.customcrates.files.CrateFiles.getCrateFiles(CrateFiles.java:29) [CustomCrates.jar:?]
    at xyz.ufactions.customcrates.Core.onEnable(Core.java:23) [CustomCrates.jar:?]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_241]
Caused by: org.yaml.snakeyaml.reader.ReaderException: special characters are not allowed
    ... 14 more



6) Le plugin "SuperVanish" a besoin de ProtocolLib pour fonctionner :

Code:
[de.myzelyam.supervanish.SuperVanish]: [SuperVanish] Task #66 for SuperVanish v6.1.4 generated an exception

java.lang.NoClassDefFoundError: Could not initialize class com.comphenix.protocol.events.PacketContainer
    at de.myzelyam.supervanish.visibility.ActionBarMgr.sendActionBar(ActionBarMgr.java:61) ~[?:?]
    at de.myzelyam.supervanish.visibility.ActionBarMgr.access$200(ActionBarMgr.java:30) ~[?:?]
    at org.bukkit.craftbukkit.v1_12_R1.scheduler.CraftScheduler.mainThreadHeartbeat(CraftScheduler.java:421) [CraftScheduler.class:git-CatServer-1.12.2-f218cf9]
    at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:837) [MinecraftServer.class:?]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_241]



Je vais m'arrêter la car certains dépendent des autres.

Mais la, plus de la moitié des logs sont du a des erreurs comme "Il manque un plugin" ou "Mauvaise configuration". N'hésite pas à lire les logs, car il y a beaucoup de problème.

Si tu as des questions sur "comment lire les logs" ou que tu as du mal avec l'anglais, dis moi tout, je t'expliquerai
 
Dernière édition:

Redkaf

Bucheron
17 Mars 2020
16
0
11
24
Ok je vais voire ce que je peux faire

Juste où se trouve le bibliocraft:markerpole ?

Ce que je ne comprends pas c'est que j'ai bien world guard dans mon dossier plugin, et que j'ai bien protocol lib.
 

Elikill

Développeur Java trop occupé
23 Février 2014
1 387
204
187
23
eliapp.fr
Salut,

Évite les triples postes...
Tu peux modifier ton message.
Je t'invite à vérifier qu'ils soient dans les bonnes versions, car c'est étrange.
Pour l'histoire de bibliocraft, je ne sais pas
 

Redkaf

Bucheron
17 Mars 2020
16
0
11
24
Je voudrais bien savoir comment on peut comprendre les logs
Et sinon je voudrais surtout savoir pourquoi le plugin faction ne fonctionne pas
 

Elikill

Développeur Java trop occupé
23 Février 2014
1 387
204
187
23
eliapp.fr
Salut,

Pour apprendre a lire des logs, je vais faire un tutoriel.
Je ne sais pas trop, une erreur au démarrage sans doute. Tu as réussi à régler les multiple bugs des autres plugins ? (faire les MAJs...)
 

Redkaf

Bucheron
17 Mars 2020
16
0
11
24
Oui j'ai réglé le problème avec le SuperVanish, CustomCrate et DiscordMC (qui ne marche pas tout court).
Pour worldguard je ne comprends pas car dans mon dossier plugin j'ai bien worldguard et j'ai même des régions protégé sur mon serveur.
Sinon pour TeleporEssential je n'ai pas contacter le créateur du plugin.